## lmod 5.8

=== pkgs/term/Makefile ===
SONAME   := core.so
SONAMEV  := $(SONAME).1
LIBRARY  := $(SONAMEV).0.1
SRC      := core.c
OBJ      := $(patsubst %.c, %.o, $(SRC))

override CFLAGS  := $(CFLAGS) -fPIC

ifneq ($(LUA_INC),)
  override CFLAGS  := $(CFLAGS) -I$(LUA_INC)
endif

OS := $(shell uname -s)
ifeq ($(OS),Darwin)
  LIB_OPTION= -bundle -undefined dynamic_lookup #for MacOS X
else
  LIB_OPTION= -shared -Wl,-soname,$(SONAMEV) #for Linux
endif

all:  $(LIBRARY) $(SONAMEV) $(SONAME)

$(SONAMEV):
	ln -s $(LIBRARY) $@

$(SONAME):
	ln -s $(SONAMEV) $@

$(LIBRARY): $(OBJ)
	$(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) -lc

install: $(SHARE)/term $(LIB)/term all
	rsync -l *.so* $(LIB)/term
	cp term/*.lua $(SHARE)/term

$(LIB)/term $(SHARE)/term:
	mkdir -p $@


clean:	neat
	$(RM) $(LIBRARY) $(SONAMEV) $(SONAME)
neat:
	$(RM) *~ *.o

echo:
	@echo $(OBJ)

## lmod 5.6.2

=== debian/changelog ===
lmod (5.6.2-1) unstable; urgency=medium

  * Imported Upstream version 5.6.2
  * Added autopkgtest tests (loading)
  * Generalized lintian ignores
  * Updated Makefile patch

 -- Aaron Zauner <azet@azet.org>  Sat, 07 Jun 2014 17:57:30 -0500

lmod (5.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #743823)

 -- Aaron Zauner <azet@azet.org>  Wed, 21 May 2014 00:05:23 -0600

=== debian/control ===
Source: lmod
Section: devel
Priority: optional
Maintainer: Aaron Zauner <azet@azet.org>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, lua5.2, lua-filesystem, lua-posix, lua-term, lua-json
Standards-Version: 3.9.5
Homepage: https://www.tacc.utexas.edu/tacc-projects/lmod
Vcs-Git: git://github.com/azet/lmod-deb.git
Vcs-Browser: https://github.com/azet/lmod-deb

Package: lmod
Architecture: all
Depends: ${misc:Depends}, lua5.2, lua-filesystem, lua-posix, lua-term, lua-json
Description: Lua based environment modules
 Lmod is a Lua based module system that easily handles the MODULEPATH
 Hierarchical problem. Environment Modules provide a convenient way to
 dynamically change the users' environment through modulefiles. This
 includes easily adding or removing directories to the PATH environment
 variable. Modulefiles for Library packages provide environment variables
 that specify where the library and header files can be found.

=== debian/watch ===
version=2
http://sf.net/lmod/lmod-src-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## lmod 5.8

=== debian/changelog ===
lmod (5.8-1) unstable; urgency=medium

  * Imported Upstream version 5.8 (Closes: #764722)
  * updated path patch for version 5.8
  * removed watch file (not working with SF.net)
  * change standards version to 3.9.5
  * add short licensetext

 -- Aaron Zauner <azet@azet.org>  Tue, 04 Nov 2014 16:45:19 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Aaron Zauner <azet@azet.org>
 Build-Depends: debhelper (>= 8.0.0), autotools-dev, lua5.2, lua-filesystem, lua-posix, lua-term, lua-json
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://www.tacc.utexas.edu/tacc-projects/lmod
 Vcs-Git: git://github.com/azet/lmod-deb.git
 Vcs-Browser: https://github.com/azet/lmod-deb

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with autotools-dev

override_dh_auto_test:

override_dh_pysupport:

=== debian/tests/control ===
Tests: load-test
Restrictions: allow-stderr

## lmod 6.6

=== pkgs/Makefile ===
install:
	cd term; $(MAKE) install

clean:
	cd term; $(MAKE) clean

=== my_docs/sc13_bof/Makefile ===
TALKS    := sc13_bof.pdf
TEX_SUFS := .aux .log .nav .out .snm .toc .vrb .fdb_latexmk .fls

%.pdf:%.tex
	latexmk -pdf $<

all: $(TALKS)

clean:
	$(RM) $(foreach suf, ${TEX_SUFS}, $(TALKS:.pdf=${suf})) *~
	$(RM) -r auto

clobber: clean
	$(RM) $(TALKS)

=== debian/changelog ===
lmod (6.6-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Change Architecture: to any. Closes: #951508
    This is required because lmod now gets LUA_PATH and LUA_CPATH at
    compile time (to deal with users overriding those variables).
    See https://github.com/TACC/Lmod/issues/112
    There was an upstream report that this breaks Raspian, which was rejected,
    so it is unlikely that upstream will return to the current behaviour.
    See https://github.com/TACC/Lmod/issues/338
    Thanks to Baptiste Jonglez for finding the relevant upstream bug reports.

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 26 Oct 2020 13:24:01 +0100

lmod (6.6-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Pass PS=/bin/ps to configure (Closes: #915304)
    - fixes reproducible build on merged-usr vs non-merged systems

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Dec 2018 18:06:51 +0100

lmod (6.6-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Conflict with environment-modules. (Closes: #846580)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 22 Dec 2016 06:49:08 +0000

lmod (6.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #793355)
  * Refresh patch change_paths
  * Update debhelper compatibility 9.
  * Install README.md, it has been renamed from README.
  * Add build-depends on procps.
  * Add build-depends and depends on tcl.
  * Update Standars-Version to 3.9.8, no changes required.
  * Update lintian overrides.
  * Make lmod to behave like environment-modules:
    - Allow to configure the list of modules path at /etc/lmod/modulespath
    - Install /etc/profile.d/lmod.sh and read MODULESPATH from
      /etc/lmod/modulespath

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 11 Nov 2016 23:37:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,30 @@
 Section: devel
 Priority: optional
 Maintainer: Aaron Zauner <azet@azet.org>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, lua5.2, lua-filesystem, lua-posix, lua-term, lua-json
-Standards-Version: 3.9.6
+Build-Depends: autotools-dev,
+               debhelper (>= 9),
+               lua-filesystem,
+               lua-json,
+               lua-posix,
+               lua-term,
+               lua5.2,
+               procps,
+               tcl
+Standards-Version: 3.9.8
 Homepage: https://www.tacc.utexas.edu/tacc-projects/lmod
 Vcs-Git: git://github.com/azet/lmod-deb.git
 Vcs-Browser: https://github.com/azet/lmod-deb
 
 Package: lmod
-Architecture: all
-Depends: ${misc:Depends}, lua5.2, lua-filesystem, lua-posix, lua-term, lua-json
+Architecture: any
+Depends: lua-filesystem,
+         lua-json,
+         lua-posix,
+         lua-term,
+         lua5.2,
+         tcl,
+         ${misc:Depends}
+Conflicts: environment-modules
 Description: Lua based environment modules
  Lmod is a Lua based module system that easily handles the MODULEPATH
  Hierarchical problem. Environment Modules provide a convenient way to

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

TDIR=debian/lmod


%:
	dh $@  --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- \
		PS=/bin/ps

override_dh_auto_test:

override_dh_pysupport:

override_dh_auto_install:
	dh_auto_install
	cp ${TDIR}/usr/share/lmod/lmod/init/profile ${TDIR}/etc/profile.d/lmod.sh
	cp debian/modulespath ${TDIR}/etc/lmod/

## lmod 8.6.19

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*


dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Lmod.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Lmod.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Lmod"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Lmod"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== embed/Makefile ===
SONAME   := tcl2lua.so
SONAMEV  := $(SONAME).1
LIBRARY  := $(SONAMEV).0.1
SRC      := tcl2lua.c
OBJ      := $(patsubst %.c, %.o, $(SRC))
LUAINC   := /opt/apps/lua/lua/include
OS       := $(shell uname -s)

override CFLAGS   := $(CFLAGS) -DLUA_COMPAT_MODULE -fPIC -I $(LUAINC) -I $(TCL_INCLUDE)

ifeq ($(OS),Darwin)
  LIB_OPTION= -bundle -undefined dynamic_lookup #for MacOS X
else
  LIB_OPTION= -shared -Wl,-soname,$(SONAMEV) #for Linux
endif

all:  $(LIBRARY) $(SONAMEV) $(SONAME)

$(SONAMEV):
	ln -s $(LIBRARY) $@

$(SONAME):
	ln -s $(SONAMEV) $@

$(LIBRARY): $(OBJ)
	$(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) -lc $(TCL_LIBS)

install: all
	cp $(LIBRARY) $(LUA_LIB)

clean:	neat
	$(RM) $(LIBRARY) $(SONAMEV) $(SONAME)
neat:
	$(RM) *~ *.o

echo:
	@echo $(OBJ)

=== pkgs/luafilesystem/Makefile ===
T        := lfs
SONAME   := $(T).so
SONAMEV  := $(SONAME).1
LIBRARY  := $(SONAMEV).0.1
SRC      := $(T).c
OBJ      := $(patsubst %.c, %.o, $(SRC))
OS       := $(shell uname -s)

ifeq ($(OS),Darwin)
  LIB_OPTION := -bundle -undefined dynamic_lookup #for MacOS X
else
  LIB_OPTION := -shared -Wl,-soname,$(SONAMEV) #for Linux
endif

override CFLAGS  := $(CFLAGS) -fPIC $(LUA_INC)


all:  $(LIBRARY) $(SONAMEV) $(SONAME)

$(SONAMEV):
	ln -s $(LIBRARY) $@

$(SONAME):
	ln -s $(SONAMEV) $@

$(LIBRARY): $(OBJ)
	$(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) $(LDFLAGS) -lc

install: $(LIB) all
	cp -a *.so* $(LIB)

$(LIB):
	mkdir -p $(LIB)

clean:	neat
	$(RM) $(LIBRARY) $(SONAMEV) $(SONAME)
neat:
	$(RM) *~ *.o

echo:
	@echo $(OBJ)

=== pkgs/tcl2lua/Makefile ===
SONAME   := tcl2lua.so
SONAMEV  := $(SONAME).1
LIBRARY  := $(SONAMEV).0.1
SRC      := tcl2lua.c
OBJ      := $(patsubst %.c, %.o, $(SRC))
OS       := $(shell uname -s)


ifeq ($(OS),Darwin)
  LIB_OPTION := -bundle -undefined dynamic_lookup #for MacOS X
else
  LIB_OPTION := -shared -Wl,-soname,$(SONAMEV) #for Linux
endif
override CFLAGS   := $(CFLAGS) -DLUA_COMPAT_MODULE -fPIC $(LUA_INC) $(TCL_INCLUDE)

all:  $(LIBRARY) $(SONAMEV) $(SONAME)

$(SONAMEV):
	ln -s $(LIBRARY) $@

$(SONAME):
	ln -s $(SONAMEV) $@

$(LIBRARY): $(OBJ)
	$(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) $(LDFLAGS) -lc $(LIBS) $(TCL_LIBS)

install: all
	cp -a *.so* $(LIB)

clean:	neat
	$(RM) $(LIBRARY) $(SONAMEV) $(SONAME)
neat:
	$(RM) *~ *.o

echo:
	@echo $(OBJ)

=== pkgs/term/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 override CFLAGS  := $(CFLAGS) -fPIC
 
 ifneq ($(LUA_INC),)
-  override CFLAGS  := $(CFLAGS) -I$(LUA_INC)
+  override CFLAGS  := $(CFLAGS) $(LUA_INC)
 endif
 
 OS := $(shell uname -s)
@@ -26,10 +26,10 @@
 	ln -s $(SONAMEV) $@
 
 $(LIBRARY): $(OBJ)
-	$(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) -lc
+	$(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) $(LDFLAGS) -lc
 
 install: $(SHARE)/term $(LIB)/term all
-	rsync -l *.so* $(LIB)/term
+	cp -a *.so* $(LIB)/term
 	cp term/*.lua $(SHARE)/term
 
 $(LIB)/term $(SHARE)/term:

=== my_docs/15/sc15_bof/Makefile ===
TALKS    := sc15_booth_talk.pdf
TEX_SUFS := .aux .log .nav .out .snm .toc .vrb .fdb_latexmk .fls

%.pdf:%.tex
	latexmk -pdf $<

all: $(TALKS)

clean:
	$(RM) $(foreach suf, ${TEX_SUFS}, $(TALKS:.pdf=${suf})) *~
	$(RM) -r auto

clobber: clean
	$(RM) $(TALKS)

=== my_docs/19/eb_users/Makefile ===
TALKS    := talk.pdf
TEX_SUFS := .aux .log .nav .out .snm .toc .vrb .fdb_latexmk .fls

%.pdf:%.tex
	latexmk -pdflua $<

all: $(TALKS)

clean:
	$(RM) $(foreach suf, ${TEX_SUFS}, $(TALKS:.pdf=${suf})) *~
	$(RM) -r auto

clobber: clean
	$(RM) $(TALKS)

=== my_docs/19/sc19/talk/Makefile ===
TALKS    := booth_talk.pdf gssi.pdf
TEX_SUFS := .aux .log .nav .out .snm .toc .vrb .fdb_latexmk .fls

%.pdf:%.tex
	latexmk -pdflua $<

all: $(TALKS)

clean:
	$(RM) $(foreach suf, ${TEX_SUFS}, $(TALKS:.pdf=${suf})) *~
	$(RM) -r auto

clobber: clean
	$(RM) $(TALKS)

=== debian/changelog ===
lmod (8.6.19-1) unstable; urgency=medium

  * New upstream release.

  [ Vagrant Cascadian ]
  * debian/rules: Pass binary paths to configure to make the package build
    reproducibly regardless of usrmerge.  (Closes: #1007095)

  [ Andreas Beckmann ]
  * Update Standards-Version to 4.6.1.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 Jun 2022 02:35:28 +0200

lmod (8.6.5-1) experimental; urgency=medium

  [ Alexandre Strube ]
  * New upstream release.  (Closes: #883911)
  * New maintainer.  (Closes: #972938)

  [ Andreas Beckmann ]
  * Replace patches with configure flags.
  * Switch to debhelper-compat (= 13).
  * Enable all hardening flags.
  * Set Rules-Requires-Root: no.
  * Add debian/upstream/metadata.
  * Add watch file.
  * Move package under the umbrella of the Debian HPC Team.
  * Update debian/copyright.
  * Mark trivial autopkgtest as superficial.  (Closes: #974490)
  * Update Lintian overrides.
  * Update Standards-Version to 4.6.0.
  * Add component tarball "hermes".
  * Disable 'end2end' test, needs to be run from a git repository.
  * Run tests at build time.
  * Add autopkgtest that runs the upstream testsuite.
  * Add lmod-doc package.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Jan 2022 01:28:58 +0100

=== debian/control ===
Source: lmod
Section: devel
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders:
 Alexandre Strube <surak@surak.eti.br>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
               lua-filesystem,
               lua-json,
               lua-posix,
               lua-term,
               lua5.3,
               procps,
               tcl,
               tcl-dev,
               liblua5.3-dev,
 cmake <!nocheck>,
 fish <!nocheck>,
 ksh <!nocheck>,
 python-is-python3 <!nocheck>,
 r-base <!nocheck>,
 r-base-dev <!nocheck>,
 tclsh <!nocheck>,
 tcsh <!nocheck>,
 zsh <!nocheck>,
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://www.tacc.utexas.edu/tacc-projects/lmod
Vcs-Git: https://salsa.debian.org/hpc-team/lmod.git
Vcs-Browser: https://salsa.debian.org/hpc-team/lmod

Package: lmod
Architecture: any
Depends: lua-filesystem,
         lua-json,
         lua-posix,
         lua-term,
         lua5.3,
         tcl,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: lmod-doc
Conflicts: environment-modules
Description: Lua based environment modules
 Lmod is a Lua based module system that easily handles the MODULEPATH
 Hierarchical problem. Environment Modules provide a convenient way to
 dynamically change the users' environment through modulefiles. This
 includes easily adding or removing directories to the PATH environment
 variable. Modulefiles for Library packages provide environment variables
 that specify where the library and header files can be found.

Package: lmod-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends}
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Lua based environment modules (documentation)
 Lmod is a Lua based module system that easily handles the MODULEPATH
 Hierarchical problem. Environment Modules provide a convenient way to
 dynamically change the users' environment through modulefiles. This
 includes easily adding or removing directories to the PATH environment
 variable. Modulefiles for Library packages provide environment variables
 that specify where the library and header files can be found.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

%: PATH	:= $(PATH):$(CURDIR)/hermes/bin
%:
	dh $@

override_dh_auto_configure-arch:
	dh_auto_configure -- \
		--prefix=/usr/share \
		--with-ModulePathInit=/etc/lmod/modulespath \
		PS=/bin/ps \
		READLINK=/bin/readlink \
		PATH_TO_LS=/bin/ls \
		PATH_TO_PAGER=/bin/more \

override_dh_auto_configure-indep:

execute_after_dh_auto_build-indep:
	$(MAKE) -C docs

override_dh_auto_test:
	id -u
	dh_auto_test || echo $$? > debian/tests-failed.stamp
	@if test -f debian/tests-failed.stamp ; then \
		for dir in rt/*/ ; do \
			echo ">>>> $${dir}err.txt" ; \
			diff -u $${dir}t1/*/_err.left $${dir}t1/*/_err.right || echo ; \
			echo ">>>> $${dir}out.txt" ; \
			diff -u $${dir}out.txt $${dir}t1/*/out.txt || echo ; \
		done ; \
	fi
	test ! -f debian/tests-failed.stamp || exit $$(cat debian/tests-failed.stamp)

execute_after_dh_auto_install-arch:
	mkdir -p debian/tmp/etc/profile.d
	cp debian/tmp/usr/share/lmod/lmod/init/profile debian/tmp/etc/profile.d/lmod.sh
	# move the shared library from /usr/share to /usr/lib
	mkdir -p debian/tmp/usr/lib/lmod/$(DEB_VERSION_UPSTREAM)
	mv debian/tmp/usr/share/lmod/$(DEB_VERSION_UPSTREAM)/lib debian/tmp/usr/lib/lmod/$(DEB_VERSION_UPSTREAM)/
	ln -s /usr/lib/lmod/$(DEB_VERSION_UPSTREAM)/lib debian/tmp/usr/share/lmod/$(DEB_VERSION_UPSTREAM)/lib

execute_after_dh_auto_clean:
	$(RM) -r docs/build
	test ! -d testreports || testcleanup

override_dh_clean:
	dh_clean -XTAGS -XTACC/TACC.orig -XTACC/cluster.orig

=== debian/tests/control ===
Tests: load-test
Restrictions: allow-stderr, superficial

Tests: upstream-testsuite
Depends:
 lmod,
 cmake,
 fish,
 ksh,
 python-is-python3,
 r-base,
 r-base-core,
 tclsh,
 tcsh,
 zsh,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/TACC/Lmod/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## lmod 8.7.59

=== my_docs/beamer/themes/Makefile ===
# Copyright 2004 Chris Monson (shiblon@gmail.com)
# Latest version available at http://www.bouncingchairs.net/oss
#
#    This file is part of ``Chris Monson's Free Software''.
#
#    ``Chris Monson's Free Software'' is free software; you can redistribute it
#    and/or modify it under the terms of the GNU General Public License as
#    published by the Free Software Foundation, Version 2.
#
#    ``Chris Monson's Free Software'' is distributed in the hope that it will
#    be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
#    Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with ``Chris Monson's Free Software''; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#    It is also available on the web at http://www.gnu.org/copyleft/gpl.html
#
#    Note that using this makefile to build your documents does NOT place them
#    under the GPL unless you, the author, specifically do so.  In other words,
#    I, Chris Monson, the copyright holder and author of this makefile,
#    consider it impossible to ``link'' to this makefile in any way covered by
#    the GPL.
#
#
# TO OBTAIN INSTRUCTIONS FOR USING THIS FILE, RUN:
#    make help
#
fileinfo	:= LaTeX Makefile
author		:= Chris Monson
version		:= 2.2.0
#
.DEFAULT_GOAL	:= all
# Note that the user-global version is imported *after* the source directory,
# so that you can use stuff like ?= to get proper override behavior.
.PHONY: Makefile GNUmakefile Makefile.ini $(HOME)/.latex-makefile/Makefile.ini
-include Makefile.ini
-include $(HOME)/.latex-makefile/Makefile.ini
# Better names for these things
.PHONY: Variables.ini $(HOME)/.latex-makefile/Variables.ini
-include Variables.ini
-include $(HOME)/.latex-makefile/Variables.ini
#
# This can be pdflatex or latex - you can change this by adding the following line to your Makefile.ini:
# BUILD_STRATEGY := latex
BUILD_STRATEGY		?= xelatex
#
# Sets LC_ALL=C, by default, so that the locale-aware tools, like sort, be
# # immune to changes to the locale in the user environment.
export LC_ALL		?= C
#
#
# If you specify sources here, all other files with the same suffix
# will be treated as if they were _include_ files.
#onlysources.tex	?= main.tex
#onlysources.tex.sh	?=
#onlysources.tex.pl	?=
#onlysources.tex.py	?=
#onlysources.rst	?=
#onlysources.fig	?=
#onlysources.gpi	?=
#onlysources.dot	?=
#onlysources.xvg	?=
#onlysources.svg	?=
#onlysources.eps.gz	?=
#onlysources.eps	?=
#
# If you list files here, they will be treated as _include_ files
#includes.tex		?= file1.tex file2.tex
#includes.tex.sh	?=
#includes.tex.pl	?=
#includes.tex.py	?=
#includes.rst		?=
#includes.fig		?=
#includes.gpi		?=
#includes.dot		?=
#includes.xvg		?=
#includes.svg		?=
#includes.eps.gz	?=
#includes.eps		?=
#
# If you list files or wildcards here, they will *not* be cleaned - default is
# to allow everything to be cleaned.
neverclean		?= *.pdf
#
# Alternatively (recommended), you can add those lines to a Makefile.ini file
# and it will get picked up automatically without your having to edit this
# Makefile.
#
# KNOWN ISSUES:
# * The following occurs:
#   file with: \usepackage{named}\bibliographystyle{named}
#   Compile
#   change to: \usepackage{apalike}\bibliographystyle{apalike}
#   Compile again -- BARF!
#
#   The workaround: make clean-nographics; make
#
#   Note that we may not be able to fix this.  LaTeX itself barfs
#   on this, not the makefile.  The very first invocation of LaTeX
#   (when something like this has happened) reads the existing .aux
#   file and discovers invalid commands like \citeauthoryear that
#   are only valid in the package that was just removed.  It then
#   tries to parse them and explodes.  It's not at all clear to me
#   how to fix this.  I tried removing the .aux files on the first
#   run of LaTeX, but that necessarily requires more subsequent
#   rebuilds on common edits.  There does not appear to be a
#   graceful solution to this issue.
#
#
# CHANGES:
# Chris Monson (2011-05-20):
# * Bumped version to 2.2.0 (release!)
# Chris Monson (2011-05-19):
# * Bumped version to 2.2.0-rc15
# * Issue 125: infinite recursion with nomenclature files
# * Issue 125: removed .d as a target for .nls in get-log-index
# * Cleaned up invocation of run-makeindex to take an optional .ist instead of flags.
# Chris Monson (2011-04-06):
# * Bumped version to 2.2.0-rc14
# * Issue 121: Added Targets.ini and corresponding help text for it.
# * Issue 121: Added Variables.ini (Makefile.ini still works, though).
# * Issue 121: Added .DEFAULT_GOAL optional setting.
# * Issue 120: xindy compatibility
# Chris Monson (2011-03-16):
# * Bumped version to 2.2.0-rc13
# * Fixed a bug in kspewhich invocation - random characters and a missing pipe.
# * Added font embedding to gnuplot output.
# Chris Monson (2011-03-15):
# * Bumped version to 2.2.0-rc12
# * Issue 119: Annoying warning from which if Gnuplot not installed.
# * Fixed catchall error output to show more info from the log.  Cutting off the
#     first line is too jarring.
# * Issue 118: Better glossary support
# Chris Monson (2011-03-03):
# * Bumped version to 2.2.0-rc11
# * Issue 112: Fixed regression introduced by use of cygpath (ugly warnings)
# Chris Monson (2011-02-03):
# * Bumped version to 2.2.0-rc10
# * Issue 112: Added path normalization for cygwin systems
# * Fixed a bug in get-missing-inputs where we weren't specifying target files
# Chris Monson (2011-01-24):
# * Issue 111: Added .jpeg as a possible image extension
# Chris Monson (2011-01-21):
# * Issue 110: Long filenames not produced correctly in .d file
# * Fixed problem with unknown control sequence error parsing
# * Fixed problem with \r in fatal output (was interpreted as LF by echo)
# * Removed a spurious "hi"
# Chris Monson (2011-01-14):
# * Bumped version to 2.2.0-rc8
# * Issue 107: Removed comment with embedded newline, fixing MinGW on Windows 7.
# Chris Monson (2011-01-07):
# * Emit an error if .gpi.d files have dependencies with : in the name
# Chris Monson (2011-01-05):
# * Bumped version to 2.2.0-rc7
# * Issue 106: existing graphic dependencies not generated correctly
# Chris Monson (2011-01-04):
# * Issue 106: not cleaning eps log files properly
# * Issue 106: not rebuilding after creating .pdf graphics from .eps
# * Issue 94: svg going unnecessarily through eps (can't reproduce)
# Chris Monson (2010-12-31):
# * Issue 100: make hanging because of faulty graphics detection (sed bug)
# * Issue 108: do not ignore fatal errors from pdftex
# Chris Monson (2010-12-23):
# * Added gpi_global to gnuplot dependencies so that changes are detected
# Chris Monson (2010-12-20):
# * Updated build file to be smarter about Python version detection
# * Created a bunch of test files and supporting scripts
# * Issue 72: added apacite capaability (thanks to matkarat)
# Chris Monson (2010-11-23):
# * Changed to multi-part makefile build (split out sed scripts)
# * Added build script and supporting infrastructure
# * Updated test directory format
# * Added notes about needed test cases
# * Changed to use -file-line-error and fixed multiple inclusion/error bugs
# * Added run_sed.py to allow easy testing of sed scripts outside of make
# Chris Monson (2010-11-11):
# * Bumped version to 2.2.0-rc7
# * issue 92: broken hyperref driver detection fixed
# * issue 101: Broken inkscape conversion
# * issue 102: Broken specification of font size for gnuplot pdfcairo
# * Added KEEP_TEMP so that we can avoid deleting useful temporaries for debugging
# * Restructured gnuplot code to be easier to follow
# * Fixed a bug in convert-gpi where we were using $< instead of $1
# Chris Monson (2010-11-03):
# * Bumped version to 2.2.0-rc6
# * issue 96: Fix sed errors when using make variables in substitutions
# Chris Monson (2010-07-28):
# * Bumped version to 2.2.0-rc5 (rc4 is broken)
# * Bail out when we find the use of the import.sty package
# * Issue 90: Add -z to dvips invocation
# * Issue 67: Add xelatex support (thanks to Nikolai Prokoschenko for the patch!)
# * Issue 85: Add warning about make 3.80
# Chris Monson (2010-06-20):
# * Bumped version to 2.2.0-rc3
# * Attempt to fix bug with ! error detection (issue 88)
# * Added svg->pdf direct support (issue 89)
# Chris Monson (2010-04-28):
# * Bumped version to 2.2.0-rc2
# * Fixed %._show target
# Chris Monson (2010-04-08):
# * Bumped version to 2.2.0-rc1
# * Added back in the rst_style_file stuff that got broken when switching
#     rst -> tex to use the script mechanism
# Chris Monson (2010-03-23):
# * Bumped version to 2.2.0-beta8
# * Work on issue 76: bad backtick escape for some sed versions, failure
#     to clear out the hold buffer when outputting MISSING comment.
#     - Backed out 2>&1 to &> (doesn't work in sh)
#     - Backed out using . to source variables
# Chris Monson (2010-03-22):
# * Bumped version to 2.2.0-beta7
# * Issue 72: Fix latex/bibtex invocation order for annotated bib styles
# * Fixed informational output to reflect which LaTeX run we're on
# * Fixed graphic detection to include graphics that are already there in
#     .d files
# * Tightened up the .d file output to only make .d depend on graphic
#     *source* files.  This means that building foo.d no longer
#     builds all of the graphics files on which foo.tex depends.
#     Had to use .SECONDEXPANSION trickery to make it work.
# * Changed get-graphics to only accept a stem.
# * Fixed build-once logic for scripted .tex to work better
# * Made get-inputs sed script more maintainable.
# * Moved Makefile.ini import up higher.
# * Changed bare stems to not recursively invoke make
# * Updated diff output to be more silent everywhere
# * Added a MISSING comment to the .d file if stuff isn't found - forces
#     removal of .1st.make file, which often forces it to try again.
# * Fixed broken graphics-target function
# * Added sleep to .d file generation when stuff is missing - if it
#     builds too fast, make doesn't realize it needs to be reloaded,
#     and thus never discovers some deeper dependencies (especially
#     evident when graphics are included from scripted include
#     files).
# Chris Monson (2010-03-17):
# * Bumped version to 2.2.0-beta6
# * Fixed bareword builds to actually work (requires static patterns)
# * Fixed colorization to work with new paragraph stuff
# Chris Monson (2010-03-17):
# * Bumped version to 2.2.0-beta5
# * Fixed graphic detection to be much more focused - splits log file
#     into paragraphs before doing pattern matching.
# * Fixed make foo to work properly (recursively calls make foo.pdf)
# * Fixed gpi -> pdf generation to not waste time building .eps *after*
#     the pdf already exists.
# * Changed log copies to include MAKE_RESTARTS as part of the name.
# * Fixed missing include file detection (also makes use of the paragraph
#     stuff) to detect missing scripted include files.
# Chris Monson (2010-03-16):
# * Bumped version to 2.2.0-beta4
# * issue 70: .pdf not moved out of the way properly on first
#     compilation, resulting in early error detection failure.
# * issue 74: fixed broken error on missing .aux files: the
#     implementation was masking real errors.
# Chris Monson (2010-03-15):
# * Bumped version to 2.2.0-beta3
# * issue 71: Made the tput dependency optional
# * issue 73: Made .tex targets not pull in .d files (building them from
#     scripts should not require a .d)
# * issue 74: Output a much saner error when a .aux file is not produced
#     (e.g., when you are typing "make" without arguments in a
#     directory with included .tex files that are not named with
#     ._include_.)
# Chris Monson (2010-03-11):
# * Bumped version to 2.2.0-beta2
# * Fixed clean-graphics to get rid of intermediate .eps files that may
#     be hanging around
# * Added an automatic setting to use eps terminals in pdflatex mode for

=== debian/changelog ===
lmod (8.7.59-2) unstable; urgency=medium

  * Fix arch:all build.
  * Skip modulerc test on i386 (32-bit time_t).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Apr 2025 23:43:54 +0200

lmod (8.7.59-1) unstable; urgency=medium

  * New upstream release.
  * Add B-D: bc.
  * Update Standards-Version to 4.7.2.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Apr 2025 18:35:53 +0200

lmod (8.6.19-2) unstable; urgency=medium

  [ Francois Mazen ]
  * Update homepage.
  * Update watch file.

  [ Andreas Beckmann ]
  * lmod-doc: Mark as M-A: foreign.
  * Update Standards-Version to 4.7.0.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 15 Feb 2025 04:32:00 +0100

## lmod 8.7.60

=== Makefile ===
REQUIRED_PKGS	:= BeautifulTbl ColumnTable Dbg hash Optiks Optiks_Option strict   \
                   fileOps string_utils serializeTbl pairsByKeys TermWidth Stencil \
                   capture declare inherits
CMDS		:= findcmd testFinish testcleanup tm updateProjectDataVersion wrapperDiff
BINList		:= $(patsubst %, bin/%, $(CMDS)) bin/lua_cmd
CMDList		:= $(CMDS) lib
VERSION		:= $(shell updateProjectDataVersion --version)


MAIN_DIR := Hermes.db Makefile COPYRIGHT


dist:  
	$(MAKE) DistD=DIST _dist

_dist:  _distMkDir _distMainDir _distBin _distCmds _distCleanupSVN _distReqPkg _distTar

_distMkDir:
	$(RM) -r $(DistD)
	mkdir $(DistD)

_distMainDir:
	cp $(MAIN_DIR) $(DistD)

_distBin:
	mkdir $(DistD)/bin
	cp $(BINList) $(DistD)/bin

_distCmds:
	cp -r $(CMDList) $(DistD)


_distCleanupSVN:
	find $(DistD) -name .svn | xargs rm -rf 

_distReqPkg:
	cp `findLuaPkgs $(REQUIRED_PKGS)` $(DistD)/lib

_distTar:
	echo "hermes"-$(VERSION) > .fname;                		   \
	$(RM) -r `cat .fname` `cat .fname`.tar*;         		   \
	mv ${DistD} `cat .fname`;                            		   \
	tar chf `cat .fname`.tar `cat .fname`;           		   \
	bzip2 `cat .fname`.tar;                           		   \
	rm -rf `cat .fname` .fname; 


install:  $(INSTALLDIR)
	cp -r * $(INSTALLDIR)
	$(RM) $(INSTALLDIR)/bin/updateProjectDataVersion

$(INSTALLDIR):
	mkdir -p $@

gittag:
        ifneq ($(TAG),)
	  @git status -s > /tmp/hermes$$$$;                                      \
          if [ -s /tmp/hermes$$$$ ]; then                                        \
	    echo "All files not checked in => try again";                        \
	  else                                                                   \
	    updateProjectDataVersion --new_version $(TAG);                       \
            git commit -m "moving to TAG_VERSION $(TAG)"             Hermes.db;  \
            git tag -a $(TAG) -m 'Setting TAG_VERSION to $(TAG)'              ;  \
          fi;                                                                    \
          rm -f /tmp/hermes$$$$
        else
	  @echo "To git tag do: make gittag TAG=?"
        endif

world_update:
	@git status -s > /tmp/git_st_$$$$;                                         \
        if [ -s /tmp/git_st_$$$$ ]; then                                           \
            echo "All files not checked in => try again";                          \
        else                                                                       \
	    branchName=`git status | head -n 1 | sed 's/^[# ]*On branch //g'`;	   \
            git push        github     $$branchName;                               \
            git push --tags github     $$branchName;                               \
            git push        rtm_github $$branchName;                               \
            git push --tags rtm_github $$branchName;                               \
        fi;                                                                        \
        rm -f /tmp/git_st_$$$$

=== docs/requirements.txt ===
docutils<0.18
sphinx==1.8.5

=== pkgs/luafilesystem/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	$(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) $(LDFLAGS) -lc
 
 install: $(LIB) all
-	cp -a *.so* $(LIB)
+	install -m $(MODE_R) *.so* $(LIB)
 
 $(LIB):
 	mkdir -p $(LIB)

=== pkgs/tcl2lua/Makefile ===
--- 
+++ 
@@ -25,7 +25,10 @@
 	$(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) $(LDFLAGS) -lc $(LIBS) $(TCL_LIBS)
 
 install: all
-	cp -a *.so* $(LIB)
+	install -m $(MODE_R) $(LIBRARY) $(LIB)
+	$(RM) -f $(LIB)/$(SONAMEV) $(LIB)/$(SONAME)
+	ln -s $(LIBRARY) $(LIB)/$(SONAMEV)
+	ln -s $(SONAMEV) $(LIB)/$(SONAME)
 
 clean:	neat
 	$(RM) $(LIBRARY) $(SONAMEV) $(SONAME)

=== pkgs/term/Makefile ===
--- 
+++ 
@@ -29,8 +29,8 @@
 	$(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) $(LDFLAGS) -lc
 
 install: $(SHARE)/term $(LIB)/term all
-	cp -a *.so* $(LIB)/term
-	cp term/*.lua $(SHARE)/term
+	install -m $(MODE_R) *.so* $(LIB)/term
+	install -m $(MODE_R) term/*.lua $(SHARE)/term
 
 $(LIB)/term $(SHARE)/term:
 	mkdir -p $@

=== tm/doc/Makefile ===
CC     := gcc
CFLAGS := -g -O0

SRC  := testprog.c diffprog.c
OBJ  := $(patsubst %.c, %.o, $(SRC))

EXEC := testprog diffprog


all: $(EXEC)

testprog : testprog.o
	$(LINK.c) -o $@ $<
diffprog : diffprog.o
	$(LINK.c) -o $@ $< -lm

neat:
	$(RM) *~
clean: neat
	$(RM) *.o
clobber: clean
	$(RM) $(EXEC)

testprog.o: testprog.c
diffprog.o: diffprog.c

=== contrib/settarg/make_example/Makefile ===
########################################################################
#  Use TARG_COMPILER_FAMILY to set the C compiler name

ifeq ($(TARG_COMPILER_FAMILY),gcc)
   CC := gcc
endif

ifeq ($(TARG_COMPILER_FAMILY),intel)
   CC := icc
endif


########################################################################
#  Use O_DIR as equal to $(TARG)/ so that if TARG is empty then O_DIR
#  will be empty.  But if $(TARG) as a value then O_DIR will have a
#  trailing slash.

ifneq ($(TARG),)
  override O_DIR := $(TARG)/
endif

########################################################################
#  Use TARG_BUILD_SCENARIO to set the compiler options for either
#  debug or optimize.

ifeq ($(TARG_BUILD_SCENARIO),dbg)
  CF := -g -O0
endif

ifeq ($(TARG_BUILD_SCENARIO),opt)
  CF := -O3
endif




DEPENDENCY_FLAG   := -MM
EXEC 		  := $(O_DIR)hello
SRC  		  := main.c hello.c
OBJS 		  := $(patsubst %.c, $(O_DIR)%.o, $(SRC))
override CFLAGS   := $(CFLAGS) $(CF)

all: $(O_DIR)
	$(MAKE) _all

_all:  $(EXEC)

$(O_DIR):
	mkdir -p $(O_DIR)

$(EXEC): $(OBJS)
	$(LINK.c) -o $@ $^

neat:
	$(RM) *~

clean: neat
	$(RM) $(OBJS)
clobber: clean
	$(RM) $(EXEC)
	$(RM) -r $(TARG) $(TARGET_PREFIX)





######################## compilation rules ###############################

$(O_DIR)%.o : %.c
	$(COMPILE.c) -o $@ -c $<

$(O_DIR)%.d: %.c
	$(SHELL) -c '$(CC) $(CFLAGS) -I $(O_DIR) $(DEPENDENCY_FLAG) $<             \
        | sed -e '\''s;\($*\)\.o[ :]*;$$(O_DIR)\1.o $$(O_DIR)$(notdir $@) : ;g'\'' \
              -e '\''s;$(O_DIR);$$(O_DIR);'\''                		           \
                                                         > $@;           	   \
	[ -s $@ ] || rm -f $@'

######################## Dependancies ####################################

ifneq (0,$(MAKELEVEL))
  include $(patsubst %.c,   $(O_DIR)%.d, $(SRC))
endif

=== my_docs/12/sc12_bof/Makefile ===
TALKS    := sc12_bof.pdf
TEX_SUFS := .aux .log .nav .out .snm .toc .vrb .fdb_latexmk .fls

%.pdf:%.tex
	latexmk -pdf $<

all: $(TALKS)

clean:
	$(RM) $(foreach suf, ${TEX_SUFS}, $(TALKS:.pdf=${suf})) *~
	$(RM) -r auto

clobber: clean
	$(RM) $(TALKS)

=== my_docs/13/easybuild_bof_sc13/Makefile ===
TALKS    := easybuild_bof_sc13.pdf
TEX_SUFS := .aux .log .nav .out .snm .toc .vrb .fdb_latexmk .fls

%.pdf:%.tex
	latexmk -pdf $<

all: $(TALKS)

clean:
	$(RM) $(foreach suf, ${TEX_SUFS}, $(TALKS:.pdf=${suf})) *~
	$(RM) -r auto

clobber: clean
	$(RM) $(TALKS)

=== my_docs/14/sc14_bof/Makefile ===
TALKS    := sc14_bof.pdf
TEX_SUFS := .aux .log .nav .out .snm .toc .vrb .fdb_latexmk .fls

%.pdf:%.tex
	latexmk -pdf $<

all: $(TALKS)

clean:
	$(RM) $(foreach suf, ${TEX_SUFS}, $(TALKS:.pdf=${suf})) *~
	$(RM) -r auto

clobber: clean
	$(RM) $(TALKS)

=== my_docs/16/sc16_bof/Makefile ===
TALKS    := booth_talk.pdf
TEX_SUFS := .aux .log .nav .out .snm .toc .vrb .fdb_latexmk .fls

%.pdf:%.tex
	latexmk -pdf $<

all: $(TALKS)

clean:
	$(RM) $(foreach suf, ${TEX_SUFS}, $(TALKS:.pdf=${suf})) *~
	$(RM) -r auto

clobber: clean
	$(RM) $(TALKS)

=== my_docs/17/TACC_sysadmin_17/Makefile ===
TALKS    := talk.pdf
TEX_SUFS := .aux .log .nav .out .snm .toc .vrb .fdb_latexmk .fls

%.pdf:%.tex
	latexmk --lualatex -pdf $<

all: $(TALKS)

clean:
	$(RM) $(foreach suf, ${TEX_SUFS}, $(TALKS:.pdf=${suf})) *~
	$(RM) -r auto

clobber: clean
	$(RM) $(TALKS)

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
+ bc,
                lua-filesystem,
                lua-json,
                lua-posix,
@@ -30,8 +31,8 @@
  dh-sequence-sphinxdoc,
  python3-sphinx,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
-Homepage: https://www.tacc.utexas.edu/tacc-projects/lmod
+Standards-Version: 4.7.2
+Homepage: https://www.tacc.utexas.edu/research/tacc-research/lmod/
 Vcs-Git: https://salsa.debian.org/hpc-team/lmod.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/lmod
 
@@ -58,6 +59,7 @@
 Package: lmod-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${sphinxdoc:Depends},
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 
 override_dh_auto_configure-indep:
 
+execute_before_dh_auto_build-indep:
+	[ -s docs/source/400_code_conventions.rst ] || $(RM) docs/source/400_code_conventions.rst
+
 execute_after_dh_auto_build-indep:
 	$(MAKE) -C docs
 
@@ -40,6 +43,7 @@
 	test ! -f debian/tests-failed.stamp || exit $$(cat debian/tests-failed.stamp)
 
 execute_after_dh_auto_install-arch:
+	find debian/tmp -type d -empty -print -delete
 	mkdir -p debian/tmp/etc/profile.d
 	cp debian/tmp/usr/share/lmod/lmod/init/profile debian/tmp/etc/profile.d/lmod.sh
 	# move the shared library from /usr/share to /usr/lib

=== debian/watch ===
version=4
opts="searchmode=plain,\
   filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
   https://api.github.com/repos/TACC/Lmod/releases?per_page=100 \
   https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
